MMTODOT(8)

NAME
mmrp - Mobile Mesh DOT File Writer

SYNOPSIS
mmtodot [-ahmnvx] [-d file] -p port

DESCRIPTION
mmtodot creates a description of the Mobile Mesh network using the dot language. (See GraphViz documentation for details about the dot language.) After creating the dot file, mmtodot launches the GraphViz tool dotty to convert it to a GIF file. The GIF file can then be displayed in any appropriate viewer including mmrpviz.

OPTIONS
mmtodot recognizes the following command line switches:

-a  Label nodes with LSP age.

-d file
    Use flags 'file' to enable debug output.

-h  Display a help message.

-m  Label edges with metrics.

-n  Label nodes with sequence numbers.

-p <mmrp port>
    where <mmrp port> is the UDP port number on which mmrp is running.

-v  Display version information.

-x  Label nodes with external routes.

SEE ALSO
mmrp(8), mmrpviz(8)

AUTHOR
This program and documentation was written by Kevin H. Grace of The MITRE Corporation <kgrace@mitre.org>. Credit is also given to Mike Butler who developed some of the support classes and lent his keen insight.